#!/bin/bash
JAVA_HOME=/usr/lib/jvm/java-1.5.0
if [ ! -d build-test ]; then
    mkdir build-test
    mkdir build-test/classes
else
    if [ ! -d build-test/classes ]; then
        mkdir build-test/classes
    fi
fi
echo "*** Compiling the test application ***"
$JAVA_HOME/bin/javac -g -sourcepath src -classpath /usr/share/java/CASA/authtoken/CasaJaasSupport.jar:/usr/share/java/CASA/authtoken/CasaAuthToken.jar -d build-test/classes src/com/novell/casa/jaas/sample/SampleApp.java src/com/novell/casa/jaas/sample/SampleAppCallbackHandler.java
echo "*** Done compiling ***"

